aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--AUTHORS3
-rw-r--r--ChangeLog22
-rw-r--r--debian/TODO3
-rw-r--r--debian/changelog8
-rwxr-xr-xpbuilder-buildpackage4
-rwxr-xr-xpbuilder-checkparams4
-rw-r--r--pbuilder-modules1
-rw-r--r--pbuilder.16
-rwxr-xr-xpbuilderrc2
-rw-r--r--pbuilderrc.59
10 files changed, 54 insertions, 8 deletions
diff --git a/AUTHORS b/AUTHORS
index 24f272a..83a7a28 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -2,6 +2,7 @@ This program has been written by the following authors:
Junichi Uekawa <dancer@debian.org> <dancer@netfort.gr.jp> -- main code
Dale Amon <amon@vnl.com> -- for runhooks
-
+Daniel Kobras -- Patches and bugfixes for non-interactive building, and
+ some other bugs.
$Id$ \ No newline at end of file
diff --git a/ChangeLog b/ChangeLog
index 2b01805..ea59570 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,20 @@
+2002-01-18 <dancer@debian.org>
+
+ * pbuilder-modules: added documentation for debbuildopts.
+
+ * pbuilderrc (DEBBUILDOPTS): added a default value for the new option.
+
+ * pbuilder-buildpackage : hand-applied patch from Daniel Kobras
+ * pbuilder-checkparams: ditto
+ * pbuilder.1: ditto
+ * pbuilderrc.5: ditto
+
+ * added copyright notice to bottom of ChangeLog
+
+ * AUTHORS: added Daniel Kobras to the list. Maybe he should join the "THANKS" file, but I don't know if I should be making another file.
+
+ * debian/TODO: updated
+
2002-01-15 <dancer@debian.org>
* pbuilderrc: quoting some text just for the sake of quoting.
@@ -22,5 +39,8 @@
energy. When pbuilder stabilizes, I will look at doing it.
14 Jan 2002 Junichi Uekawa <dancer@debian.org>
+ Copyright (c) 2001, 2002 Junichi Uekawa
+
+ $Id$
- $Id$ \ No newline at end of file
+ \ No newline at end of file
diff --git a/debian/TODO b/debian/TODO
index b896f40..758a627 100644
--- a/debian/TODO
+++ b/debian/TODO
@@ -5,7 +5,7 @@ TODO and possible bugs:
* Machine type specification in Build dependency should either have
[!xxx !xxx !xxx ...] or [xxx xxx xxx ...]
[!xxx xxx] formats are not parsed, and should really not exist.
- * Creating a sbuilder, command, which cooperates with sbuild, and
+ * Creating a "sbuilder" command, which cooperates with sbuild, and
use sbuild if possible.
* Please file a bug if you find that pbuilder does not exit with
error condition on failure to build a package.
@@ -14,6 +14,7 @@ TODO and possible bugs:
- documentation of how to do it
- updating the script hooks interface (mount / umount)
- putting example scripts.
+ * Supporting use of system /etc/apt config files?
* Supporting really automatic "pbuilder upgrade"
- how about passing "-o dpkg::Options=--force-confnew" to apt?
diff --git a/debian/changelog b/debian/changelog
index 9c96ce4..92471d5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,12 +1,14 @@
pbuilder (0.18) unstable; urgency=low
* New version, "Trying to address some wishlists" (not yet released)
- * This version should implement using system apt/ configuration files.
- and some other goodies ...
* Added usr/share/pbuilder/pbuilderrc for default configuration.
* Apply $@ -> "$@" fix from Daniel Kobras.
+ * Apply the patch from Daniel Kobras for specifying options to
+ dpkg-buildpacakge invocation in pbuilder-buildpacakge.
+ It should be possible to build binary-only uploads etc.
+ (closes: #129221)
- -- Junichi Uekawa <dancer@debian.org> Tue, 15 Jan 2002 19:10:23 +0900
+ -- Junichi Uekawa <dancer@debian.org> Fri, 18 Jan 2002 03:34:53 +0900
pbuilder (0.17) unstable; urgency=low
diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage
index 1fb80dc..b89c51f 100755
--- a/pbuilder-buildpackage
+++ b/pbuilder-buildpackage
@@ -199,13 +199,13 @@ echo Building the package
export PATH="/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin"
if [ -z "$DEBEMAIL" ]; then
- if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; dpkg-buildpackage -us -uc"; then
+ if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; dpkg-buildpackage -us -uc $DEBBUILDOPTS"; then
echo "pbuilder: Failed autobuilding of package" >&2
abortingfunction
exit 1;
fi
else
- if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; dpkg-buildpackage -us -uc \"-m$DEBEMAIL\""; then
+ if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; dpkg-buildpackage -us -uc \"-m$DEBEMAIL\" $DEBBUILDOPTS"; then
echo "pbuilder: Failed autobuilding of package" >&2
abortingfunction
exit 1;
diff --git a/pbuilder-checkparams b/pbuilder-checkparams
index 6bcc7ac..b1cc6f1 100755
--- a/pbuilder-checkparams
+++ b/pbuilder-checkparams
@@ -69,6 +69,10 @@ while [ -n "$1" ]; do
DEBEMAIL="$2";
shift; shift;
;;
+ --debbuildopts)
+ DEBBUILDOPTS="$2";
+ shift; shift;
+ ;;
--buildsourceroot*)
BUILDSOURCEROOTCMD="$2";
shift; shift;
diff --git a/pbuilder-modules b/pbuilder-modules
index 4489f52..0c6c2a2 100644
--- a/pbuilder-modules
+++ b/pbuilder-modules
@@ -41,6 +41,7 @@ pbuilder options
--configfile [configuration file to load]
--hookdir [hook directory]
--debemail [mail address]
+ --debbuildopts [dpkg-buildpackage options]
--logfile [filename to output log]
pdebuild options
diff --git a/pbuilder.1 b/pbuilder.1
index 6aa4a2f..9f26c7e 100644
--- a/pbuilder.1
+++ b/pbuilder.1
@@ -186,6 +186,12 @@ Specifies that dpkg-buildpackage be called with
instead of default value specified in the environmental
variable, or pbuilderrc
+.TP
+.BI "--debbuildopts [" "options" "]"
+
+List of options that are passed on to dpkg-buildpackage. Overrides
+any value given in DEBBUILDOPTS as specified in the environment or in
+pbuilderrc.
.TP
.BI "--logfile [" "file to log" "]"
diff --git a/pbuilderrc b/pbuilderrc
index be7929f..b642b16 100755
--- a/pbuilderrc
+++ b/pbuilderrc
@@ -32,3 +32,5 @@ export DEBIAN_FRONTEND="noninteractive"
BUILDSOURCEROOTCMD="fakeroot"
PBUILDERROOTCMD="sudo"
+#default is to not to build source-packages. Passed on to dpkg-buildpackage
+DEBBUILDOPTS="-b" \ No newline at end of file
diff --git a/pbuilderrc.5 b/pbuilderrc.5
index 4bc249a..3f56fa6 100644
--- a/pbuilderrc.5
+++ b/pbuilderrc.5
@@ -131,6 +131,15 @@ Overwridden with
command-line option.
.TP
+.BI "DEBBUILDOPTS=" "-b"
+
+The options given here will be passed on to
+.BR dpkg-buildpackage .
+This can be useful eg. for binary-only builds. The command-line option
+.B "--debbuildopts"
+overrides any contents specified here.
+
+.TP
.BI "BUILDSOURCEROOTCMD=" "fakeroot"
This option is used on invocation of fakeroot